import java.io.*;
import java.util.*;
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

   
class PressPicture implements KeyListener 
{
		FileWriter fw;
		BufferedWriter bw;
		PrintWriter pw;
	    private BufferedImage image;    
	    private JFrame f;               
	    
	   	String file_name;
	   	String picture_file_name;
	   	
	    public PressPicture(String pic_filename,String filename) 
	    {
	    	picture_file_name=pic_filename;
	    	file_name=filename;
	    	try
	    	{
		    	fw=new FileWriter(file_name,true);
				bw=new BufferedWriter(fw);
				pw=new PrintWriter(bw);			
			}
			catch(IOException exp){
	    			exp.printStackTrace();
	            	throw new RuntimeException("problems writing to the file");
	         	}
	        
	        try 
	        { 
	        	image = ImageIO.read(new File(picture_file_name)); 
	        }
	        catch(IOException e) {
	            e.printStackTrace();
	            throw new RuntimeException("Could not open file " + picture_file_name);
	        }
	    }
	
	    public JLabel getJLabel() {
	        if (image == null) return null;         
	        ImageIcon icon = new ImageIcon(image);
	        return new JLabel(icon);
	    }
		
	    public void show() 
	    {
	    	
	        if (f == null) {
	            f = new JFrame();
	            f.getContentPane().setLayout(new BorderLayout());
        		f.getContentPane().add(getJLabel(), BorderLayout.CENTER);
	            f.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
	            f.setTitle("Picture Frame");
	            f.addKeyListener(this);
	            f.setBounds(0,0,1100,1100);	           	
	            f.setVisible(true);
	        }
	    }
	        
	    public void remove(){
	    	f.setVisible(false);
	    }
	    
    public void keyTyped(KeyEvent kevt) {
    }

    public void keyPressed(KeyEvent e)  {

        switch (e.getKeyCode()) {
            
            case KeyEvent.VK_SPACE: 
            	
	    		pw.println("data of picture "+picture_file_name+":");
				pw.println("pressed space ");
				
				pw.println();
				pw.flush();
            	break;
            case KeyEvent.VK_ENTER:  
            
	    		pw.println("data of picture "+picture_file_name+":");
				pw.println("pressed enter ");
				
				pw.println();
				pw.flush();
	    		break;
	    	case KeyEvent.VK_DOWN:  
            
	    		pw.println("data of picture "+picture_file_name+":");
				pw.println("pressed down ");
				
				pw.println();
				pw.flush();
	    		break;		
        }
    }

    public void keyReleased(KeyEvent ke) {} 
}


 
 
 